function submitFormHandler(e) {
	const thisElement = e.target;
	const commentForm = document.querySelector("#cmt-form");
	thisElement.setAttribute("disabled" , "disabled");

    const xhr = new XMLHttpRequest();
    xhr.responseType = "json";

    xhr.open("POST", location.origin + "/comment.php");

    xhr.onload = function(e) {

    	const modal = document.querySelector(".modal");

        const message = this.response.msg;

        console.log(message);

        if(message.search("required fields") !== -1){
        	modal.innerHTML = "<p>لطفا تمامی فیلد ها را پر کنید</p>";
        	modal.classList.add("warning");
        }else{
        	modal.innerHTML = "<p>نظرتان با موفقیت ثبت گردید و پس از تایید نمایش داده خواهد شد</p>";
        	modal.classList.add("success");
        	commentForm.reset();
        }

        modal.classList.remove("ds-none");


        setTimeout(function(btn){
        	modal.classList.remove("warning");
        	modal.classList.remove("success");
        	modal.classList.add("ds-none");
        	modal.innerHTML = "";
        	btn.removeAttribute("disabled");
        },3000 , thisElement)

    }

    xhr.onerror = function(e) {

        console.log("error");

    }

    const frmData = new FormData(commentForm);
    xhr.send(frmData);

};

function actionFormHandler(e){
	const thisElement = e.target;
	const commentID = thisElement.dataset['commentId'];
	const action = thisElement.dataset['action'];

	const formAction = document.querySelector("#form-action");
	const inpAction = document.querySelector("#form-action #action");
	const inpCommentID = document.querySelector("#form-action #comment-id");

	inpAction.value = action;
	inpCommentID.value = commentID;


	formAction.submit();

}
