<?php

header("Content-Type: application/json");

$post_data = $_POST;
$post_data_keys = ["cmt-name" , "cmt-email" , "cmt-content" , "cmt-post-id"];
$is_form_valid = true;


foreach($post_data_keys as $key){
    if(empty($post_data[$key])){
        $is_form_valid = false;
        break;
    }
}

if($is_form_valid){
require_once "inc/class-DB.php";
$db = new DB();

$timestamp = time();

$comment_id = $db->row_insert([

	"table" => "comment",
	"content" => "(`post_id` , `fullname` , `email` , `comment` , `timestamp`) VALUES (? , ? , ? , ? , ?)",
	"types" => "issss",
	"values" => [
		$post_data['cmt-post-id'],
		$post_data['cmt-name'],
		$post_data['cmt-email'],
		$post_data['cmt-content'],
		$timestamp,
	],

]);

$message = ["comment_id" => $comment_id , "msg"=>"success" , "status" => 1];

}else{
    $message = ["msg"=>"Please fill in the required fields" , "status" => 0];
}

echo json_encode($message);

?>